#include<bits/stdc++.h>
using I=int;using str=std::string;
template<class T>using V=std::vector<T>;
template<class T,I N>using A=std::array<T,N>;
int C;
void solve(){
  I n,k;std::cin>>n>>k;V<V<I>>g(n+1);V<A<I,2>>es(n);
  for(I i=1;i<=n-1;i++){
    I u,v;std::cin>>u>>v;es[i]={u,v};
    g[u].push_back(v);g[v].push_back(u);
  }
  V<I>key(k);
  for(I i=0;i<k;i++)std::cin>>key[i];
  std::cout<<"1\n";
}
#define fio(a,b) freopen("traverse."#a,#b,std##a)
int main(){
  fio(in,r);fio(out,w);
  std::cin.tie(0)->sync_with_stdio(0);
  int t;std::cin>>C>>t;while(t--)
  solve();
  return 0;
}
